## com.google.appengine.api.users.dev
Class LocalOAuthAccessTokenServlet

    java.lang.Object
      HttpServlet
          com.google.appengine.api.users.dev.LocalOAuthAccessTokenServlet

    public class LocalOAuthAccessTokenServlet

extends HttpServlet

`LocalOAuthAccessTokenServlet` is the servlet responsible for implementing the access token acquisition step of the fake OAuth authentication flow provided by the Development AppServer.

Constructor Summary
`LocalOAuthAccessTokenServlet()`

Method Summary
`void` `doGet(HttpServletRequest req, HttpServletResponse resp)`
`void` `doPost(HttpServletRequest req, HttpServletResponse resp)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalOAuthAccessTokenServlet

    public LocalOAuthAccessTokenServlet()

Method Detail

### doGet

    public void doGet(HttpServletRequest req,
                      HttpServletResponse resp)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### doPost

    public void doPost(HttpServletRequest req,
                       HttpServletResponse resp)
                throws java.io.IOException

  Throws:
    `java.io.IOException`